# Class ConnectionAuth

- Defined in packages/net/src/ConnectionAuth.ts:32

#####
Index

### Constructors

constructor

### Properties

challenge
cxn
message
request
status

### Methods

attempt
respond
waitFor
waitForChallenge
waitForResolution

##
Constructors

### constructor

- new ConnectionAuth(cxn: Connection ): ConnectionAuth

- #### Parameters

  - cxn: Connection

  #### Returns ConnectionAuth

  - Defined in packages/net/src/ConnectionAuth.ts:38

##
Properties

### challenge

challenge: undefined | string

- Defined in packages/net/src/ConnectionAuth.ts:33

### `Readonly` cxn

cxn: Connection

- Defined in packages/net/src/ConnectionAuth.ts:38

### message

message: undefined | string

- Defined in packages/net/src/ConnectionAuth.ts:35

### request

request: undefined | string

- Defined in packages/net/src/ConnectionAuth.ts:34

### status

status: AuthStatus = None

- Defined in packages/net/src/ConnectionAuth.ts:36

##
Methods

### attempt

- attempt(timeout?: number): Promise<void>

- #### Parameters

  - timeout: number = 300

  #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionAuth.ts:122

### respond

- respond(): Promise<void>

- #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionAuth.ts:90

### waitFor

- waitFor(condition: () => boolean, timeout?: number): Promise<void>

- #### Parameters

  - condition: () => boolean
  - timeout: number = 300

  #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionAuth.ts:72

### waitForChallenge

- waitForChallenge(timeout?: number): Promise<void>

- #### Parameters

  - timeout: number = 300

  #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionAuth.ts:84

### waitForResolution

- waitForResolution(timeout?: number): Promise<void>

- #### Parameters

  - timeout: number = 300

  #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionAuth.ts:87